import Movable from "./Movable.js";
import RetroAnimation from "./retro/RetroAnimation.js";
import Setting from "./Setting.js";

export default class MrCroc extends Movable
{
    constructor() {
        const SCALE = 2;

        const month = new Date().getMonth();
        const animationRight = month === 11 ? 'mr-croc-walk-right-christmas.png' : 'mr-croc-walk-right.png';
        const animationLeft = month === 11 ? 'mr-croc-walk-left-christmas.png' : 'mr-croc-walk-left.png';

        super(new RetroAnimation(Setting.GRAPHICS_LOCATION + animationRight, 2, SCALE), 7);
        this.isJumping = false;
        this.addAnimation('WALK_RIGHT', new RetroAnimation(Setting.GRAPHICS_LOCATION + animationRight, 2, SCALE, 10));
        this.addAnimation('WALK_LEFT', new RetroAnimation(Setting.GRAPHICS_LOCATION + animationLeft, 2, SCALE, 10));
    }

    moveRight(timestamp, delta = 1)
    {
        this.playAnimation('WALK_RIGHT', timestamp);
        super.moveRight(delta);
    }

    moveLeft(timestamp, delta = 1)
    {
        this.playAnimation('WALK_LEFT', timestamp);
        super.moveLeft(delta);
    }
}
